Remove EDL Matched Documents
Remove manually matched documents from EDL Items. You must have a security profile that grants the Application: EDL Matching: Edit Document Matches permission, and EDL Matched Document APIs must be enabled in your Vault. To enable this feature, contact Veeva Support
POST
/api/{version}/objects/edl_matched_documents/batch/actions/removeHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json (default) or text/csv |
Accept | application/json (default) |
Body Parameters
Section link for Body ParametersExpressed as JSON or CSV.
| Name | Description |
|---|---|
idrequired | The EDL Item id to match to documents. |
document_idrequired | The document id to match to an EDL Item. |
major_version_number__voptional | The major version number of a document. You must also include minor_version_number__v to use this parameter. |
minor_version_number__voptional | The minor version number of a document. You must also include major_version_number__v to use this parameter. |
remove_lockedoptional | If set to true, removes a matched document from the EDL Item even if the EDL Item is locked to a specific steady state document version. |
Request
Section link for Requestcurl -L -X POST -H 'Authorization: {SESSION_ID}' \
-H 'Content-Type: application/json' \
--data-raw '[
{
"id": "0EI000000003001",
"document_id": "21",
"major_version_number__v": 1,
"minor_version_number__v": 0,
"remove_locked": true
},
{
"id": "0EI000000003001",
"document_id": "22",
"major_version_number__v": 0,
"minor_version_number__v": 1,
"remove_locked": true
}
]'
'https://myvault.veevavault.com/api/v23.1/objects/edl_matched_documents/batch/actions/remove' \Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "FAILURE",
"errors": [
{
"type": "INVALID_DATA",
"message": "Can not remove an automatically matched Document"
}
],
"id": "0EI000000003001",
"document_id": "22",
"major_version_number__v": "0",
"minor_version_number__v": "1",
"lock": "true"
},
{
"responseStatus": "SUCCESS",
"id": "0EI000000003001",
"document_id": "21",
"major_version_number__v": "1",
"minor_version_number__v": "0",
"lock": "true"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes a SUCCESS or FAILURE status and any applicable error messages for each matched document to remove from an EDL Item in the body of your request.